NMDeviceEthernet
3
LIBNM-GLIB Library

# NMDeviceEthernet

## Synopsis

    #define             NM_DEVICE_ETHERNET_HW_ADDRESS
    #define             NM_DEVICE_ETHERNET_SPEED
    #define             NM_DEVICE_ETHERNET_CARRIER
                        NMDeviceEthernet;
    GObject*            nm_device_ethernet_new              (DBusGConnection *connection,
                                                             const char *path);
    const char*         nm_device_ethernet_get_hw_address   (NMDeviceEthernet *device);
    guint32             nm_device_ethernet_get_speed        (NMDeviceEthernet *device);
    gboolean            nm_device_ethernet_get_carrier      (NMDeviceEthernet *device);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMDevice
                   +----NMDeviceEthernet

## Properties

      "carrier"                  gboolean              : Read
      "hw-address"               gchararray            : Read
      "speed"                    guint                 : Read

## Description

## Details

### NM_DEVICE_ETHERNET_HW_ADDRESS

    #define NM_DEVICE_ETHERNET_HW_ADDRESS  "hw-address"

### NM_DEVICE_ETHERNET_SPEED

    #define NM_DEVICE_ETHERNET_SPEED       "speed"

### NM_DEVICE_ETHERNET_CARRIER

    #define NM_DEVICE_ETHERNET_CARRIER     "carrier"

### NMDeviceEthernet

    typedef struct _NMDeviceEthernet NMDeviceEthernet;

### nm_device_ethernet_new ()

    GObject*            nm_device_ethernet_new              (DBusGConnection *connection,
                                                             const char *path);

Creates a new NMDeviceEthernet.

`connection` :

  the DBusGConnection

`path` :

  the DBus object path of the device

Returns :

  a new device

### nm_device_ethernet_get_hw_address ()

    const char*         nm_device_ethernet_get_hw_address   (NMDeviceEthernet *device);

Gets the hardware (MAC) address of the NMDeviceEthernet

`device` :

  a NMDeviceEthernet

Returns :

  the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_ethernet_get_speed ()

    guint32             nm_device_ethernet_get_speed        (NMDeviceEthernet *device);

Gets the speed of the NMDeviceEthernet.

`device` :

  a NMDeviceEthernet

Returns :

  the speed of the device

### nm_device_ethernet_get_carrier ()

    gboolean            nm_device_ethernet_get_carrier      (NMDeviceEthernet *device);

Whether the device has carrier.

`device` :

  a NMDeviceEthernet

Returns :

  `TRUE` if the device has carrier

## Property Details

### The `"carrier"` property

      "carrier"                  gboolean              : Read

Whether the device has carrier.

Default value: FALSE

### The `"hw-address"` property

      "hw-address"               gchararray            : Read

The hardware (MAC) address of the device.

Default value: NULL

### The `"speed"` property

      "speed"                    guint                 : Read

The speed of the device.

Default value: 0